Bug 523340 - High-freq sound coming from speakers when device is closed for 10 seconds
Summary: High-freq sound coming from speakers when device is closed for 10 seconds
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 12
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Jaroslav Kysela
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-14 23:12 UTC by Andreas
Modified: 2010-12-05 06:24 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-05 06:24:44 UTC


Attachments (Terms of Use)
output from pacmd ls (23.02 KB, text/plain)
2009-09-16 15:46 UTC, Andreas
no flags Details
alsa-info.sh output (35.26 KB, application/octet-stream)
2009-09-16 16:25 UTC, Andreas
no flags Details


Links
System ID Priority Status Summary Last Updated
Launchpad 382140 None None None Never

Description Andreas 2009-09-14 23:12:14 UTC
Description of problem:
As description says, a high-frequency sound coming from the speakers when there has been no connection to pulseaudio for ~10 seconds. Very annoying, and a regression, seeing as I use pulse now on ubuntu, and it works nice.

How reproducible:
every time

Steps to Reproduce:
1. Boot fedora, turn on speakers
2. done
  
Actual results:
High-freq sound coming from speakers

Expected results:
silence

Additional info:
The sound disappear when anything is connected to pulseaudio (it seems). Even the pa-volume-control

hw-info: http://www.smolts.org/client/show/?uuid=pub_044784f1-3d15-4c08-a282-6c1300053734

Seems like its the "ATI Technologies Inc SB600 Azalia" that is the sinner, seeing as I don't use anything but the dvi-output from the card.

What logs are needed for this?

Comment 1 Lennart Poettering 2009-09-15 01:22:00 UTC
Sounds more like a driver/hw problem.

Could you please run "pacmd ls" when you hear this and attach this here. If everything is correct in PA this should tell us that no app is playing audio an the device closed becuase idle. If that is the case then we should reassign this to the kernel, as it is a kernel driver/hw prob.

Comment 2 Andreas 2009-09-16 15:46:00 UTC
Created attachment 361305 [details]
output from pacmd ls

Comment 3 Andreas 2009-09-16 16:25:19 UTC
Created attachment 361316 [details]
alsa-info.sh output

Comment 4 Lennart Poettering 2009-09-17 02:42:47 UTC
The "pacmd ls" shows that all of PA's sinks are in state "SUSPENDED" meaning that the devices are closed. If you hear noise this means the sound must come from somewhere else.

Comment 5 Andreas 2009-09-17 08:21:04 UTC
Why changing from "10 seconds" to "for a while?", I counted, and it starts after pretty much 10 seconds every time.

Comment 6 Adam Williamson 2009-09-22 19:54:14 UTC
do you see any interesting messages in /var/log/messages ? especially around the time the problem kicks in / goes away (when you start playing sound).

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 7 Andreas 2009-09-22 20:33:15 UTC
I'll get a copy of /var/log/messages uploaded as soon as I get the time (hopefully tomorrow). Any other files that would be interesting?

Comment 8 Andreas 2009-11-03 00:30:34 UTC
The problem seems to be the same as described on launchpad, and can (probably,haven't tested it yet) temporarily be solved by changing "options snd-hda-intel power_save=10 power_save_controller=N" to "options snd-hda-intel power_save=0 power_save_controller=N" in alsa-base.conf

Will test when I get the time.

Comment 9 Bug Zapper 2009-11-16 12:23:10 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 10 Diego Amores 2009-12-01 18:09:05 UTC
I can confirm that adding line "options snd-hda-intel power_save=0" to a file in /etc/modprobe.d (for example /etc/modprobe.d/snd_hda_intel.conf) and rebooting works as a workaround for me.

Comment 11 Bug Zapper 2010-11-04 10:02:12 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 12 Bug Zapper 2010-12-05 06:24:44 UTC
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.